<?php
/*
NetworX - open-source social networks platform
Copyright (C) 2009 SocialABC, Inc. http://www.socialabc.com
This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
You should have received a copy of the GNU General Public License along with this program in a file called LICENSE; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/ 

$section = 'my_connections';
include('includes/application_top.php');

$template->setGlobalVariable('SectionHeader', '');

if ($user->isAuthorised())
{
    if (UserBlock::checkUserBlockResources(USER_BLOCKED_RESOURCES, USERBLOCK_RESOURCE_INVITATIONS))
    {
        cmn_unathorized_action();
    }
    
    $obj = Entity::getObject(@$_GET['entity'], @$_GET['id']);
    switch (get_class($obj))
    {
        case 'Group':
        case 'Organization':
        	cmn_redirect('add_connection.php?entity=' . strtolower($_GET['entity']) . '&id=' . $obj->{db_get_entity_key($obj)});
			break;
			
        case 'User':
            break;
            
        default:
            $obj = $user;
    }
    $template->setGlobalVariable('ObjectEntity', strtolower(get_class($obj)));
    $template->setGlobalVariable('ObjectID', $obj->{db_get_entity_key($obj)});    
	if (isset($_POST['submited']))
	{
		if (!empty($_POST['Subject']))
		{
			//print_r($_POST);
			for ($i = 0; $i < count($_POST['Email']); $i++)
			{
				if (!empty($_POST['FirstName'][$i]) && !empty($_POST['LastName'][$i]) && eregi(REGEXP_EMAIL, $_POST['Email'][$i]))
				{
					$invited = User::getByUserEmail($_POST['Email'][$i]);
					//print_r($invited);
					if ($invited->UserID == -1)
					{
						$invited->UserFirstname = $_POST['FirstName'][$i];
						$invited->UserLastname  = $_POST['LastName'][$i];
						$invited->UserType		= USER_TYPE_INVITED;
						$invited->Password		= md5(cmn_generate_password());
						$invited->saveToDB();
						
						
						$tpl = Message::getMessageTemplate('contacts_invite.html');
						
						$tpl->setVariable('Message', str_replace(array("\\n", "\\r"), array("", ""), ud_sanitize(nl2br($_POST['Message']))));
						$tpl->setVariable('UserFirstname', $user->UserFirstname);
						$tpl->setVariable('UserLastname', $user->UserLastname);
						$tpl->setVariable('ConnectID', $obj->{db_get_entity_key($obj)});
                        			$tpl->setVariable('ConnectEntity', strtolower(get_class($obj)));
						$tpl->setVariable('UserID', $invited->UserID);

						Message::sendEmail($invited->UserEmail, ud_sanitize($_POST['Subject']), $tpl->get());
						
						$invitation = new SentInvitation();
						$invitation->SentInvitationEmail = $invited->UserEmail;
						$invitation->{get_class($obj) . 'ID'} = $obj->{db_get_entity_key($obj)};
						//print_r($invitation);
						$invitation->saveToDB();
			                        
			                        switch (get_class($obj))
                        			{
			                        	case 'User':
                        			            $obj->sendBuddyRequest($invited->UserID, @$_POST['Message']);
			                                    break;
                        		        
			                                case 'Organization':    
			                                case 'Group':
                        			            $obj->inviteMember($user->UserID, $invited->UserID, @$_POST['Message']);
                        			            break;
                        			}
					}
				}
			}
		}
		else
		{
			$template->touchBlock('Subject_error');
		}
	}
	$template->setVariable('UserFirstname', $user->UserFirstname);
	$template->setVariable('UserLastname', $user->UserLastname);
}

include('includes/application_bottom.php');
?>