<?php
/*
NetworX - open-source social networks platform
Copyright (C) 2009 SocialABC, Inc. http://www.socialabc.com
This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
You should have received a copy of the GNU General Public License along with this program in a file called LICENSE; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/ 

$section = 'files';
include('includes/application_top.php');
//$template->loadTemplateFile("file.html");
if (!Session::isCurrentSessionLoggedIn())
{
	cmn_unauthorized_action();
}


if (UserBlock::checkUserBlockResources(USER_BLOCKED_RESOURCES, USERBLOCK_RESOURCE_MEDIA))
{
    cmn_unathorized_action();
}

$file = new File($_GET['file_id']);
$owner = $file->getOwner();
$class = get_class($owner);
$type = strtolower($class);
$id = $owner->{$class . 'ID'};
if ($type != 'user')
{
    $template->setVariable('Entity', $type);
    $template->setVariable('EntityID', $id);
    $template->parse('back_link');
}

$admin_perms = $owner->checkActionPermission('edit_files');
if ($file->FileID != -1)
{
	if ($admin_perms)
	{
		$template->touchBlock('fileadmin');
	}

	$template->setVariable("ImgURL", $file->getFileURL(false));
	$template->setGlobalVariable("FileID", $file->FileID);
	$template->setVariable("FileURL", PATH_FILES . $type . "/" . $id . '/' . $file->FilePath);

}
else
{
	cmn_unauthorized_action();
}

include('includes/application_bottom.php');