<?php
/*
NetworX - open-source social networks platform
Copyright (C) 2009 SocialABC, Inc. http://www.socialabc.com
This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
You should have received a copy of the GNU General Public License along with this program in a file called LICENSE; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/ 

require_once('includes/application_top.php');

if (!Session::isCurrentSessionLoggedIn())
{
	cmn_unauthorized_action();
}

$form_id = isset($_GET['form_id']) ? $_GET['form_id'] : ( isset($_POST['FormID']) ? $_POST['FormID'] : -1 );
$form = new Form($form_id);

$object = $form->getOwner();
$entity = ucfirst(get_class($object));
$id = $object->{db_get_entity_key($object)};

if ( ($id == -1) || (!$object->hasMember($user->UserID)) )
{
	cmn_unauthorized_action();
}

$members = FormSubmission::getObligatorMembers($form_id);

foreach ($members as $member)
{
    $template->setVariable('UserID', $member->UserID);
    $template->setVariable('UserFirstname', $member->UserFirstname);
    $template->setVariable('UserLastname', $member->UserLastname);
    $template->parse('member');
}

require_once('includes/application_bottom.php');