<?php
/*
NetworX - open-source social networks platform
Copyright (C) 2009 SocialABC, Inc. http://www.socialabc.com
This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
You should have received a copy of the GNU General Public License along with this program in a file called LICENSE; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/ 

require_once('includes/application_top.php');

if (!Session::isCurrentSessionLoggedIn())
{
	cmn_unauthorized_action();
}

$group_id = isset($_GET['group_id']) ? $_GET['group_id'] : ( isset($_POST['GroupID']) ? $_POST['GroupID'] : -1 );
$group = new Group($group_id);
$drafts = $_POST['NewsDraftID'];

if ($_POST['action'] == 'submit')
{
	NewsDraft::submitNewsDrafts($drafts);
    $template->setVariable("script", "group_news.php?group_id=" . $group->GroupID);
	$template->parse("redirect");
}
elseif ($_POST['action'] == 'delete')
{
	NewsDraft::deleteNewsDrafts($drafts);
}

if ($group->hasMember($user->UserID))
{
	$allnews = $group->getGroupNewsDrafts($user->UserID);

	foreach ($allnews as $news)
	{
		$template->setVariable("NewsDraftID", $news->NewsDraftID);
		$template->setVariable("NewsName", $news->NewsName);
		$template->setVariable("NewsDate", $news->NewsDate);
		$sumbitter = new User($news->UserID);
		$template->setVariable("UserName", db_get_entity_display_name($sumbitter));
		$template->setVariable("NewsText", $news->NewsText);
		$template->parse('news');
	}
}

$template->setGlobalVariable('GroupID', $group_id);
if ($group->userIsAdmin($user->UserID))
{
    $template->touchBlock('settings');
}
require_once('includes/application_bottom.php');