<?php
/*
NetworX - open-source social networks platform
Copyright (C) 2009 SocialABC, Inc. http://www.socialabc.com
This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
You should have received a copy of the GNU General Public License along with this program in a file called LICENSE; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/ 


function db_get_entity_display_name($obj)
{
	$return = '';

	if (is_subclass_of($obj, 'Entity'))
	{
		$class = get_class($obj);

		if ($class == 'User')
		{
			$return = $obj->UserFirstname . ' ' . $obj->UserLastname;
		}
		else
		{
			$return = $obj->{$class . 'Name'};
		}
	}
	return $return;
}

function db_get_table_name($object)
{
	return strtolower(get_class($object));
}

function db_get_entity_key($object)
{
	return get_class($object) . 'ID';
}

function db_get_entity_name($class, $email = true)
{
	if (is_object($class))
	{
		$class = get_class($class);
	}

	if ($class == 'User')
	{
		if ($email)
		{
			return 'UserEmail';
		}
		else
		{
			return  'Username';
		}
	}
	else
	{
		return $class . 'Name';
	}
}

?>