<?php
/*
NetworX - open-source social networks platform
Copyright (C) 2009 SocialABC, Inc. http://www.socialabc.com
This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
You should have received a copy of the GNU General Public License along with this program in a file called LICENSE; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/ 

require_once('includes/application_top.php');

if (!Session::isCurrentSessionLoggedIn())
{
	cmn_unauthorized_action();
}

if(isset($_GET["news_id"])) 
{
   $news_id=intval($_GET["news_id"]);
}
else 
{
   $news_id=0;
}
if(USER_TYPE_EMPLOYER == $user->UserType)
{
   $template->touchBlock("is_admin");
   if (isset($_GET["action"]) && $_GET['action'] == 'delete')
   {
   	$news=new News($news_id);
   	$news->deleteNews($news_id);
   	$news_id=0;
   }

}
$template->setGlobalVariable('SectionHeader', 'News');

	if ($news_id!=0)
	{
		$allnews = array(new News($news_id));
}
	else
	{
		$allnews = array_merge($user->getUserNews(), $user->getGroupsNews(), $user->getOrganizationsNews(), $user->getCommunitiesNews(), News::getGroupNews(0));
}

$parsed = array();

foreach ($allnews as $news)
{
    if (!isset($parsed[$news->NewsID]))
    {
        $place = $news->getNewsPlaceObject();

        if($news->GroupID==0) 
        {
           if(USER_TYPE_EMPLOYER == $user->UserType)
           {
              $template->touchBlock("edit_news");
           }
           $author=$user->getByUserID($news->UserID);
           $template->setVariable('Place', $author->UserFirstname . ' ' . $author->UserLastname);
           $template->setVariable('PlaceURL', cmn_get_profile_link("User", $news->UserID));
        }
        else
        {
           $template->setVariable('Place', $place->{db_get_entity_name($place)});
           $template->setVariable('PlaceURL', cmn_get_profile_link(get_class($place),
            $place->{db_get_entity_key($place)}));
        }
        
        $template->setVariable("NewsName", $news->NewsName);
        $template->setVariable("NewsText", isset($_GET['news_id']) ? $news->NewsText : substr($news->NewsText, 0, 200));
        $template->setVariable("NewsID", $news->NewsID);
        $template->parse("news");

        $parsed[$news->NewsID] = $news->NewsID;
    }
}


require_once('includes/application_bottom.php');