<?php
/*
NetworX - open-source social networks platform
Copyright (C) 2009 SocialABC, Inc. http://www.socialabc.com
This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
You should have received a copy of the GNU General Public License along with this program in a file called LICENSE; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/ 

require_once('includes/application_top.php');

if (!Session::isCurrentSessionLoggedIn())
{
	cmn_unauthorized_action();
}

$id = isset($_GET['id']) ? $_GET['id'] : ( isset($_POST['ID']) ? $_POST['ID'] : -1 );
$file = new SharedFile($id);

if ( ($file->SharedFileID == -1) || (!$file->checkUserPermissions($user->UserID)) )
{
	cmn_unauthorized_action();
}

if ($_POST['action'] == 'save')
{
	$file->FileDescription = $_POST['FileDescription'];
	$file->saveToDB();

	$object = $file->getOwner();
	cmn_redirect('file_sharing.php?entity=' . db_get_table_name($object) . '&id=' . $object->{db_get_entity_key($object)});
}

$template->setVariable('FileDescription', $file->FileDescription);

require_once('includes/application_bottom.php');