<?php
/*
NetworX - open-source social networks platform
Copyright (C) 2009 SocialABC, Inc. http://www.socialabc.com
This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
You should have received a copy of the GNU General Public License along with this program in a file called LICENSE; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/ 

include('includes/application_top.php');

if (!Session::isCurrentSessionLoggedIn())
{
	cmn_unauthorized_action();
}

$userid = isset($_GET['user_id']) ? $_GET['user_id'] : ( isset($_POST['user_id']) ? $_POST['user_id'] : -1 );
if ($userid != $user->UserID)
{
	cmn_unauthorized_action();
}

$news = new News(-1);
$news->UserID = $userid;
$data = $news->getDataArray();

if (isset($_POST['submitted']))
{
	$error = false;
	foreach ($data as $key => $field)
	{
		if (isset($_POST[$key]))
		{
			$data[$key] = $_POST[$key];
		}
		switch ($key)
		{
			case "NewsDate" :
				if (!chstr_is_date_ymd($_POST[$key]))
				{
					$error = true;
					$template->touchBlock($key . "_err");
				}
			break;
			case "NewsName" :
				{
				}
			break;
			case "NewsText":
				{
				}
			break;
		}
	}
	$news->populateFromArray($data);
	if (!$error)
	{
		$template->touchBlock("success");
		$news->saveToDB();
	}
}
$template->setVariable($data);

include('includes/application_bottom.php');