<?php
/*
NetworX - open-source social networks platform
Copyright (C) 2009 SocialABC, Inc. http://www.socialabc.com
This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
You should have received a copy of the GNU General Public License along with this program in a file called LICENSE; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/ 

include('includes/application_top.php');
$template->loadTemplateFile('group_connections_list_popup.html');

$group_id = isset($_GET['group_id']) ? $_GET['group_id'] : ( isset($_POST['group_id']) ? $_POST['group_id'] : -1 );
$group = new Group($group_id);

if ($_POST['send_invitations'] == 'Send Invitations')
{
	if (isset($_POST['UserID']))
	{
		foreach ($_POST['UserID'] as $key => $value)
		{
			$invitation = new Invitation();
			$invitation->GroupID = $group->GroupID;
			$invitation->OrganizationID = -1;
			$invitation->FromUserID = $user->UserID;
			$invitation->ToUserID = $key;
			$invitation->InvitationPermissions = CONNECTIONTYPE_MEMBER;

			$messageText = 'Join my group';
			Message::sendGroupInvite($user->UserID, $group_id, $key, $messageText, MESSAGE_GROUP_INVITE_MEMBER);
		}
	}

	$template->touchBlock('self_close');
}

$users = $user->getBuddies();
foreach ($users as $key => $object)
{
	if (!$group->hasMember($object->UserID))
	{
		$user_id = $object->UserID;
		$user_info = $object->UserFirstname . ' ' . $object->UserLastname;

		$template->setVariable('UserID', $user_id);
		$template->setVariable('UserInfo', $user_info);

		$template->parse('user');
	}
}

$template->setVariable('GroupID', $group_id);

include('includes/application_bottom.php');