<?php
/*
NetworX - open-source social networks platform
Copyright (C) 2009 SocialABC, Inc. http://www.socialabc.com
This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
You should have received a copy of the GNU General Public License along with this program in a file called LICENSE; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/ 

include('includes/application_top.php');

$template->loadTemplateFile('group_member_sheet_popup.html');

if ($user->isAuthorised())
{
	if ($_POST['submitted'] == 'true' && is_uploaded_file($_FILES['updatedMemberSheet']['tmp_name']))
	{
		$filename = $_FILES['updatedMemberSheet']['tmp_name'];

		$exc = new ExcelFileParser();
		$res = $exc->ParseFromFile($filename);

		$ws_num = 0;	
		$ws = $exc->worksheet['data'][$ws_num];

		$members = array();	
		$table_header = array();	

		for ($i = 0; $i < $ws['max_col']; $i++)
		{
			$data = $ws['cell'][0][$i];
			$ind = $data['data'];
			$s = $exc->sst['data'][$ind];
			$table_header[$i] = $s;
		}

		foreach ($table_header as $key => $value)
		{
			for ($j = 1; $j <= $ws['max_row']; $j++)
			{

				$data = $ws['cell'][$j][$key];
				$ind = $data['data'];
				$members[$j][$value] = $exc->sst['data'][$ind];
			}
		}

		foreach ($members as $key => $row)
		{
			$member_email = $row['Member Email'];
			$member = User::getByUserEmail($member_email);
			$member_id = $member->UserID;

			if (isset($row['Team Affiliation']))
			{
				$team_name = $row['Team Affiliation'];
				$team = Team::getByTeamName($team_name);
				$team->addUserToTeam($member_id);
			}
			else
			{
				$team = Team::getUserTeamInGroup($member_id, $group_id);
				$team->removeUserFromGroupTeam($member_id);
			}

			if ($member->UserID > 0)
			{
				$member->UserTitle = $row['Member Title'];
				$member->saveToDB();
			}
		}
		$template->touchBlock('if_submitted');
	}
}
else
{
    cmn_unauthorized_action();
}

include('includes/application_bottom.php');