<?php
/*
NetworX - open-source social networks platform
Copyright (C) 2009 SocialABC, Inc. http://www.socialabc.com
This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
You should have received a copy of the GNU General Public License along with this program in a file called LICENSE; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/ 

class Skill extends Entity
{
	public $SkillID		= -1;
	public $UserID		= -1;
	public $SkillName	= "";


	public static function getUserSkills($user_id)
	{
		$result = array();

		$db = DBConnect::getInstance();
		$res = $db->query("SELECT * FROM `skill` WHERE `UserID`=%s", $user_id);

		foreach ($res->Data as $row)
		{
			$skill = new Skill();
			$skill->populateFromArray($row);
			$result[] = $skill;
		}

		return $result;
	}

	public static function clearUserSkills($user_id)
	{
		$db = DBConnect::getInstance();
		$db->delete('skill', 'UserID = %d', $user_id);
	}
}