<?php
/*
NetworX - open-source social networks platform
Copyright (C) 2009 SocialABC, Inc. http://www.socialabc.com
This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
You should have received a copy of the GNU General Public License along with this program in a file called LICENSE; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/ 

$section = 'messages';
require_once('includes/application_top.php');
$types = array('User', 'Group');

if (Session::isCurrentSessionLoggedIn())
{
	if ( ($_POST['action']=='forward') && (!empty($_POST['messages'])) )
	{
		$array_keys = array_keys($_POST['messages']);
    	$message_id = $array_keys[0];

    	$message = new Message($message_id);

    	$msgTxt = $message->MessageText;
    	$msgSbj = $message->MessageSubject;

		$msgTxt = str_replace("{html:open}", '<', $msgTxt);
		$msgTxt = str_replace("{html:close}", '>', $msgTxt);

		$msgTxt = nl2br($msgTxt);

		$template->setVariable('msgText', $msgTxt);
		$template->setVariable('subject', $msgSbj);
	}

	if (isset($_POST['recipients']))
	{
		foreach ($types as $type)
		{
			if (is_array($_POST[$type . 'ID']))
			{
				$recipients = array();
				foreach ($_POST[$type . 'ID'] as $id)
				{
					$obj = Entity::getObject($type, $id);
					$recipients[] = $obj->{db_get_entity_name($obj)};
				}

				$template->setVariable('txt' . $type, join(', ', $recipients));
			}
		}
	}
	else if (isset($_POST['submited']))
	{

		if (empty($_POST['txtSubject']))
		{
			$template->touchBlock('MessageSubject_error');
		}
		else
		{
			foreach ($types as $type)
			{
				if (@$_POST['txt' . $type] != '')
				{
					foreach (split("[,;]\s?", $_POST['txt' . $type]) as $name)
					{
						$obj = eval('return ' . $type . '::getBy' . db_get_entity_name($type) . '(\'' . ud_sanitize(trim($name)) . '\');');
                        
						$id  = $obj->{db_get_entity_key($obj)};
                        
						if (is_uploaded_file($_FILES['attFilename']['tmp_name']))
						{
							$filename = $_FILES['attFilename']['name'];
							$tmp_name = $_FILES['attFilename']['tmp_name'];
							$safeguard = md5(time());
							$file_dir = "." . '/' . UPLOADED_FILES_PATH . '/' . $safeguard . '/';

							@mkdir($file_dir);
							$filename = cmn_upload_file($filename, $file_dir, $tmp_name);

							$filepath = $safeguard . '/' . $filename;
						}

						if ($id != -1)
						{
							$user->{'send' . $type . 'Message'}($id, @$_POST['txtSubject'], @$_POST['txtMessage'], $filepath);
						}
					}
				}
			}
			cmn_redirect('messages.php');
		}
	}
}
else
{
	cmn_unauthorized_action();
}

$template->touchBlock('fckeditor');
require_once('includes/application_bottom.php');