<?php
/*
NetworX - open-source social networks platform
Copyright (C) 2009 SocialABC, Inc. http://www.socialabc.com
This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
You should have received a copy of the GNU General Public License along with this program in a file called LICENSE; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/ 

include('includes/application_top.php');

if (!Session::isCurrentSessionLoggedIn())
{
	cmn_unauthorized_action();
}

$video = new Video($_GET['video_id']);
$video_album = $video->getVideoAlbum();
$admin_perms = $video_album->checkPermission('edit');

if ($video->VideoID != -1 && $video_album->checkPermission('view'))
{
	$yt = Video::getYouTubeObject();

	$videoId = $video->VideoToken;
	//$videoId = '9kWk5fUico4';

	//$videoEntry = $yt->getVideoEntry($videoId);
	//$videoEntry->setVideoPublic();
	//$putUrl = 'http://gdata.youtube.com/feeds/api/users/default/uploads/' . $videoId;
	//$yt->updateEntry($videoEntry, $putUrl);
	$entry = $yt->getVideoEntry($videoId);

	$videoTitle = $entry->mediaGroup->title;
	$videoUrl = Video::findFlashUrl($entry);

	$template->setVariable('VideoTitle', $videoTitle);
	$template->setVariable('VideoURL', $videoUrl);
}
else
{
	cmn_unathorized_action();
}

include('includes/application_bottom.php');